# Hold order until date Changes the status of the order to On Hold until the specified date, when the status will automatically change to Awaiting Shipment. Endpoint: POST /orders/holduntil Version: 1.0.0 Security: basicAuth ## Request fields (application/json): - `orderId` (integer, required) Order ID to hold Example: 1072467 - `holdUntilDate` (string, required) Date when order moves from on_hold to awaiting_shipment Example: "2014-12-01" ## Response 200 fields (application/json): - `success` (boolean) Example: true - `message` (string) Example: "Order held successfully." ## Response 400 fields (application/json): - `message` (string) Example: "Invalid request parameters" ## Response 401 fields (application/json): - `message` (string) Example: "Invalid API credentials" ## Response 500 fields (application/json): - `message` (string) Example: "An internal error occurred"